WSD 予約可能 V2 API
ワークプレイスサービスデリバリ (WSD) Reservable V2 API は、予約可能 (職場の場所など、予約可能なエンティティ) の詳細をServiceNowインスタンスから取得するためのエンドポイントを提供します。
WSD 予約可能 V2 API は、WSD Reservable API の新しいバージョンです。WSD 予約可能 V2 API は、予約時に選択した WSD ポータル上のすべての予約可能スペースの詳細をフェッチします。元の WSD 予約可能 API バージョンでは GET 呼び出しが使用されていましたが、sys_IDパスパラメーターは 35 文字に制限されていました。新しい WSD 予約可能 V2 API バージョンは POST 呼び出しであり、文字制限を回避するために要求本文のすべてのsys_idsを取得します。
この API にアクセスするには、問い合わせユーザーに sn_wsd_core.workplace_user ロールが必要です。
この API は sn_wsd_rsv 名前空間で実行されます。この API にアクセスするには、Workplace Reservation Management (sn_wsd_rsv) プラグインを有効にする必要があります。
ワークプレイス予約管理の詳細については、「ワークプレイス予約管理」を参照してください。
WSD 予約可能 V2 API:POST /sn_wsd_rsv/v2/reservable/list_reservables
指定された 1 つ以上の可能な予約の詳細を返します。
URL 形式
デフォルト URL: POST api/sn_wsd_rsv/v2/reservable/list_reservables
サポートされている要求パラメーター
| 名前 | 説明 |
|---|---|
| api_version | 必須。アクセスするエンドポイントのバージョン。この API を使用する場合は v2 を指定します。それ以外の場合は、 v1 を使用すると WSD 予約可能 API のデフォルトバージョンが使用されます。 データタイプ:文字列 |
| 名前 | 説明 |
|---|---|
| なし |
| 名前 | 説明 |
|---|---|
| include_flexible_services | 可能な予約に関連付けられた柔軟なサービスを応答に返すかどうかを示すフラグ。 柔軟なサービスは、予約時に予約可能な職場アイテムとともに利用可能な追加のプロビジョンです。たとえば、すべての参加者が部屋の前を向くようにテーブルの列が配置された教室のスタイルなどです。柔軟なサービスの詳細については、「 柔軟なサービスの作成」を参照してください。 有効な値:
データタイプ:ブーリアン デフォルト値:false |
| include_standard_services | 応答で標準サービス情報を返すかどうかを示すフラグ。 標準サービスでは、ホワイトボード、追加のモニター、および類似サービスなど、予約時に予約可能な職場アイテムで利用可能な基本的なプロビジョニングについて説明します。標準サービスの詳細については、「 標準サービス」を参照してください。この情報は、標準サービス [sn_wsd_rsv_standard_service] テーブルにあります。 有効な値:
データタイプ:ブーリアン デフォルト値:false |
| include_reservable_purposes | オプション。予約可能に関連付けられた目的を返すかどうかを示すフラグ。 有効な値:
データタイプ:ブーリアン デフォルト値:false |
| include_layouts | 応答で場所のレイアウト情報を返すかどうかを示すフラグ。 場所のレイアウト情報には、キャパシティ、最大キャパシティ、準備、クリーンアップ期間などが含まれます。この情報は、場所のレイアウト [sn_wsd_rsv_m2m_location_layout] テーブルにあります。 有効な値:
データタイプ:ブーリアン デフォルト値:false |
| reservable_module_sys_id | 必須。予約可能なモジュールのSys_id (デスク、会議室など)。 予約可能モジュールは、類似タイプの職場アイテムをグループ化します。この sys_id は予約可能モジュール [sn_wsd_rsv_reservable_module] テーブルにあります。 予約可能なモジュールの詳細については、「 予約可能なモジュールの構成」を参照してください。 データタイプ:文字列 デフォルト:空の値 |
| reservation_start_time | 追加サービスのリードタイムを検証する予約開始時間。 形式:UTC 形式、yyyy-MM-dd HH:mm:ss データタイプ:文字列 |
| space_sys_ids | 必須。選択したスペースのカンマ区切りsys_ids。 データタイプ:文字列 デフォルト:空の値 |
ヘッダー
次のリクエストや応答ヘッダーは、この HTTP アクションにのみ適用されるか、またはこのアクションに別個の方法で適用されます。REST API で使用される一般的なヘッダーのリストについては、「 サポートされている REST API ヘッダー」を参照してください。
| ヘッダー | 説明 |
|---|---|
| 承認 | 応答本文のデータフォーマット。サポートされるタイプ:application/json または application/xml。 デフォルト: application/json |
| Content-Type | 応答本文のデータフォーマット。application/json のみをサポートします。 |
| ヘッダー | 説明 |
|---|---|
| なし |
ステータスコード
この HTTP アクションには、次のステータスコードが適用されます。REST API で使用される可能性のあるステータスコードのリストについては、「 REST API HTTP 応答コード」を参照してください。
| ステータスコード | 説明 |
|---|---|
| 200 | 成功。要求が正常に処理されました。 |
| 404 | 予約可能項目が見つかりませんでした。 WSD Core Spaces [sn_wsd_core_spaces] テーブルを探し、スペースレコードが存在することを確認します。 |
| 500 | エラーが発生しました! 予約可能項目を取得できません。 これはサーバーエラーです。システム管理者にお問い合わせください。 |
応答本文のパラメーター
| 名前 | 説明 |
|---|---|
| result | 一致する可能な予約の詳細。 データタイプ:オブジェクトのアレイ |
| result.allow_invitees | 従業員が招待者を予約に追加できるどうかを示すフラグ。 有効な値:
データタイプ:ブーリアン |
| result.area | 可能な予約があるエリア。 この情報はエリア [sn_wsd_core_area] テーブルにあります。 |
| result.area.display_value | エリアの表示値。 データタイプ:文字列 |
| result.area.sys_id | 関連するエリアレコードの sys_id。 データタイプ:文字列 |
| result.building | 予約可能項目がある建物。 この情報は建物 [sn_wsd_core_building] テーブルにあります。 |
| result.building.display_value | 建物の表示値。 データタイプ:文字列 |
| result.building.sys_id | 関連付けられた建物レコードの sys_id。 データタイプ:文字列 |
| result.building.timezone | 建物のタイムゾーンの詳細。 |
| result.building.timezone.display_value | 関連する建物が存在するタイムゾーンの表示値。 データタイプ:文字列 |
| result.building.timezone.value | 関連する建物が存在するタイムゾーンの内部値。 データタイプ:文字列 |
| result.campus | 可能な予約がある敷地。 この情報は敷地 [sn_wsd_core_campus] テーブルにあります。 |
| result.campus.display_value | 敷地の表示値。 データタイプ:文字列 |
| result.campus.sys_id | 関連する敷地レコードの sys_id。 データタイプ:文字列 |
| result.capacity | 可能な予約に含めることができる人数。 データタイプ:数値 |
| result.description | 可能な予約の説明。 データタイプ:文字列 |
| result.display_number_of_attendees | ユーザーが予約の出席者の数を指定できるかどうかを示すフラグ。 有効な値:
データタイプ:ブーリアン |
| result.display_on_behalf_of | 他のユーザーの代わりに予約できるかどうかを示すフラグ。 有効な値:
データタイプ:ブール |
| result.display_sensitivity | ユーザーが、normal、private などの予約の機密性を設定できるかどうかを示すフラグ。 有効な値:
データタイプ:ブール |
| result.email | 可能な予約に関連付けられたメールアドレス。 データタイプ:文字列 |
| result.employee_override_privacy | 関連付けられた予約可能なプライバシー設定をユーザーが上書きできるかどうかを示すフラグ。 これらのプライバシー設定について詳しくは、 場所のプライバシー設定と影響をご覧ください。 有効な値:
|
| result.enable_group_reservations | ユーザーがグループ予約できるかどうかを示すフラグ。 有効な値:
データタイプ:ブール |
| result.enable_reservation_privacy | 予約プライバシーのデフォルト設定を示すフラグ。 これらのプライバシー設定の詳細については、「 Location privacy settings and impact」を参照してください。 可能な値:
データタイプ:ブーリアン |
| result.external_id | 可能な予約の外部 ID。 データタイプ:文字列 |
| result.flexible_services | include_flexible_services パラメーターが true に設定され、Workplace Case Management プラグインがインストールされている場合にのみ設定されます。可能な予約に関連付けられた柔軟なサービスの説明。柔軟な親サービスと複数の柔軟な子サービスが存在する可能性があります。 この情報は [sn_wsd_case_workplace_service_item] テーブルにあります。 |
| result.flexible_services.additional_text | 追加の柔軟なサービスの選択をユーザーに促すテキスト。 データタイプ:文字列 |
| result.flexible_services.allow_only_single_service_item_selection | 予約内の柔軟なサービスグループのうち、ユーザーが選択できるサービスアイテムを 1 つのみとするかどうかを示すフラグ。 有効な値:
データタイプ:ブーリアン |
| result.flexible_services.category | 柔軟なサービスのカテゴリ。 データタイプ:文字列 |
| result.flexible_services.currency_code | 柔軟なサービスを注文するときに通貨金額の計算に使用される通貨コード。 データタイプ:文字列 |
| result.flexible_services.flexible_service | 柔軟な親サービスに対応する柔軟なサービス。この情報は [sn_wsd_case_workplace_service_item] テーブルにあります。 データタイプ:オブジェクトのアレイ |
| result.flexible_services.flexible_service.flexible_service | 柔軟な親サービスに対応するそれぞれの柔軟なサービスの詳細。 データタイプ:オブジェクトのアレイ |
| result.flexible_services.flexible_service.flexible_service.additional_text | 追加の柔軟なサービスの選択をユーザーに促すために使用されるテキスト。 データタイプ:文字列 |
| result.flexible_services.flexible_service.flexible_service.capacity_enabled | 予約に部屋のキャパシティを表示するかどうかを示すフラグ。これが true に設定されている場合、quantity_enabled は常に false になります。 有効な値:
データタイプ:ブーリアン |
| result.flexible_services.flexible_service.flexible_service.category | 柔軟なサービスのカテゴリ。 データタイプ:文字列 |
| result.flexible_services.flexible_service.flexible_service.category_label | 柔軟なサービスのカテゴリレベル。 データタイプ:文字列 |
| result.flexible_services.flexible_service.flexible_service.cleanup_duration | 可能な予約に追加されたサービスのクリーンアップまたは削除にかかる時間。 データタイプ:数値 単位:ミリ秒 |
| result.flexible_services.flexible_service.flexible_service.image | 柔軟なサービスの画像へのリンク。 データタイプ:文字列 |
| result.flexible_services.flexible_service.flexible_service.max_capacity | 可能な予約に含めることができる参加者の最大人数。 データタイプ:数値 |
| result.flexible_services.flexible_service.flexible_service.name | 柔軟なサービスの名前。 データタイプ:文字列 |
| result.flexible_services.flexible_service.flexible_service.preparation_duration | 可能な予約へのサービスの追加にかかる時間。 データタイプ:文字列 単位:ミリ秒 |
| result.flexible_services.flexible_service.flexible_service.price_per_unit | 柔軟なサービスを可能な予約に追加するコストの詳細。 データタイプ:オブジェクト |
| result.flexible_services.flexible_service.flexible_service.price_per_unit.code | コストを計算するときに使用する通貨コード (GBP や USD など)。 データタイプ:文字列 |
| result.flexible_services.flexible_service.flexible_service.price_per_unit.value | コードパラメーターで定義された通貨による柔軟なサービスの各単位のコスト。 データタイプ:文字列 |
| result.flexible_services.flexible_service.flexible_service.quantity_enabled | 予約に数量フィールドを表示するかどうかを示すフラグ。これが true に設定されている場合、capacity_enabled は常に false になります。 有効な値:
データタイプ:ブーリアン |
| result.flexible_services.flexible_service.flexible_service.quantity_required | 数量が必須かどうかを示すフラグ 。 有効な値:
データタイプ:ブーリアン |
result.flexible_services.flexible_service.flexible_service.short_description |
柔軟なサービスの簡単な説明。 データタイプ:文字列 |
| result.flexible_services.flexible_service.flexible_service.sub_category | 柔軟なサービスのサブカテゴリ名 (chair_layout など)。 データタイプ:文字列 |
| result.flexible_services.flexible_service.flexible_service.sub_category_label | 柔軟なサービスのサブカテゴリラベル (椅子のレイアウトなど)。 データタイプ:文字列 |
| result.flexible_services.flexible_service.flexible_service.sub_title | 柔軟な子サービスのサブタイトル名。 データタイプ:文字列 |
| result.flexible_services.flexible_service.flexible_service.sys_id | 柔軟なサービスの sys_id。 データタイプ:文字列 |
| result.flexible_services.flexible_service.flexible_service.text | 柔軟なサービスの選択をユーザーに促すために使用されるテキスト。 データタイプ:文字列 |
| result.flexible_services.flexible_service.flexible_service.title | UI で柔軟な子サービスを追加および編集するときに使用するタイトルの詳細。 データタイプ:オブジェクト |
| result.flexible_services.flexible_service.flexible_service.title.add | UI で柔軟な子サービスを追加するときに使用されるタイトル。 データタイプ:文字列 |
| result.flexible_services.flexible_service.flexible_service.title.edit | UI で柔軟な子サービスを編集するときに使用されるタイトル。 データタイプ:文字列 |
| result.flexible_services.flexible_service.label | 柔軟なサービスラベル。 データタイプ:文字列 |
| result.flexible_services.flexible_service.sub_category | 追加の椅子など、柔軟な親サービスのサブカテゴリ。 データタイプ:文字列 |
| result.flexible_services.flexible_service.sub_title | 柔軟な親サービスのサブタイトル名。 データタイプ:文字列 |
| result.flexible_services.flexible_service.text | 柔軟な親サービスの選択をユーザーに促すために使用されるテキスト。 データタイプ:文字列 |
| result.flexible_services.flexible_service.title | UI で柔軟な親サービスを追加および編集するときに使用するタイトルの詳細。 データタイプ:オブジェクト |
| result.flexible_services.flexible_service.title.add | UI で柔軟な親サービスを追加するときに使用されるタイトル。 データタイプ:文字列 |
| result.flexible_services.flexible_service.title.edit | UI で柔軟な親サービスを編集するときに使用されるタイトル。 データタイプ:文字列 |
| result.floor | 可能な予約があるフロアの詳細。 フロア [sn_wsd_core_floor] テーブルにあります。 |
| result.floor.display_value | 予約可能項目が存在するフロアの階数を表示します (12 など)。 データタイプ:文字列 |
| result.floor.sys_id | フロアテーブル内の関連レコードの sys_id。 データタイプ:文字列 |
| result.image | 関連する可能な予約を表す画像の詳細。 画像 [db_image] テーブルにあります。 |
| result.image.link | 可能な予約を表す画像へのリンク。 データタイプ:文字列 |
| result.image.sys_id | 関連する画像レコードの sys_id。 データタイプ:文字列 |
| result.is_reservable | 柔軟なサービスを予約できるかどうかを示すフラグ。 有効な値:
データタイプ:ブーリアン |
| results.layouts | include_layouts パラメーターが true に設定されている場合にのみ入力されます。 予約可能項目に関連付けられているレイアウトのリスト。 データタイプ:オブジェクトのアレイ
|
| result.layouts.capacity | 会議に出席する人数。 データタイプ:数値 |
| result.layouts.cleanup_duration | このレイアウトの予約可能項目の除去にかかる時間。 データタイプ:数値 単位:ミリ秒 |
| result.layouts.image | 関連する予約可能項目のレイアウトを表す画像の詳細。 画像 [db_image] テーブルにあります。 |
| result.layouts.image.link | この予約可能項目のレイアウトを表す画像へのリンク。画像 [db_image] テーブルにあります。 データタイプ:文字列 |
| result.layouts.image.sys_id | 関連する画像レコードの sys_id。 データタイプ:文字列 |
| result.layouts.is_default | 関連付けられたレイアウトが予約可能項目のデフォルトかどうかを示すフラグ。 有効な値:
データタイプ:ブール |
| result.layouts.max_capacity | 予約可能項目に関連付けられたレイアウトで収容できる最大人数。 データタイプ:数値 |
| result.layouts.name | 場所のレイアウトの名前。 データタイプ:文字列 |
| result.layouts.preparation_duration | 関連付けられた場所のレイアウトの準備にかかる時間。 データタイプ:数値 単位:ミリ秒 |
| result.layouts.short_description | 場所のレイアウトの簡単な説明。 データタイプ:文字列 |
| result.layouts.sys_id | 場所のレイアウトの sys_id。 レイアウト [sn_wsd_rsv_layout] テーブルにあります。 データタイプ:文字列 |
| result.location_type | 予約可能項目の場所のタイプに関する詳細 (workplace/desk、cafe、gym など)。 スペースタイプ [sn_wsd_core_space_type] テーブルにあります。 |
| result.location_type.display_value | 場所タイプの表示値。 データタイプ:文字列 |
| result.location_type.sys_id | スペースタイプ [sn_wsd_core_space_type] テーブルの関連レコードの sys_id。 データタイプ:文字列 |
| result.meetingProviders | 可能な予約に関連付けられているバーチャル会議プロバイダーの詳細。 この情報はバーチャル会議プロバイダー [sn_wsd_rsv_virtual_meeting_provider] テーブルにあります。 |
| result.meetingProviders.display_value | バーチャルプロバイダー名の表示値。 データタイプ:文字列 |
| result.meetingProviders.value | レコード内のバーチャルプロバイダー名の実際の値。 データタイプ:文字列 |
| result.moduleType | デスクや会議室など、可能な予約に関連付けられた予約可能なモジュール。 データタイプ:文字列 |
| result.name | 予約可能項目の名前。 データタイプ:文字列 |
| result.number | 予約可能項目の一意の識別子。この値は、sys_id よりも人間が判読しやすい値です。 データタイプ:文字列 |
| result.order | 予約可能項目の注文番号。 データタイプ:数値 |
| result.require_approval | 予約可能項目の予約に承認が必要かどうかを示すフラグ。 可能な値:
データタイプ:ブーリアン |
| result.requires_check_in | 予約可能でユーザーにチェックインを要求するかどうかを示すフラグ。 有効な値:
データタイプ:ブーリアン |
| result.require_subject | 予約時にユーザーが件名を入力する必要があるかどうかを示すフラグ。 有効な値:
データタイプ:ブーリアン |
| result.reservable_quantity | 関連する予約可能項目を同じ時間に予約できる最大回数。この値は、エリアに近隣スペースをアサインするときに使用されます。 データタイプ:整数 |
| result.site | 予約可能項目が存在するサイトの詳細。 サイト [sn_wsd_core_site] テーブルにあります。 |
| result.site.display_value | サイトの表示値。 データタイプ:文字列 |
| result.standard_services | include_standard_services パラメーターが true に設定されている場合にのみ入力されます。 フリップチャート、プロジェクタースクリーン、ホワイトボードとマーカーなどの関連する標準サービス。 データタイプ:オブジェクトのアレイ
|
| result.standard_services.font_awesome_icon | 標準サービスに関連付けられたサムネイルアイコンの名前。 データタイプ:文字列 |
| result.standard_services.name | 標準サービスの名前。 データタイプ:文字列 |
| result.standard_services.short_description | 標準サービスの簡単な説明。 データタイプ:文字列 |
| result.standard_services.sys_id | 標準サービスレコードの sys_id。標準サービス [sn_wsd_rsv_standard_service] テーブルにあります。 データタイプ:文字列 |
| result.site.sys_id | サイト [sn_wsd_core_site] テーブルの関連サイトレコードの sys_id。 データタイプ:文字列 |
| result.tableName | 予約可能項目レコードが存在するテーブルの名前。 データタイプ:文字列 |
| result.title | 予約可能項目のタイトル。 データタイプ:文字列 |
| result.type | 予約可能項目のタイプ (場所など)。 データタイプ:文字列 |
cURL 要求
次のコード例は、このエンドポイントを呼び出して、指定された予約可能に関する詳細を返す方法を示しています。
curl "http://instance.servicenow.com/api/sn_wsd_rsv/v2/reservable/list_reservables" \
--request POST \
--header "Accept:application/json" \
--header "Content-Type:application/json" \
--data "{\"space_sys_ids\":\"3ed3139977220110b3d7be377b5a99d1\",\"reservable_module_sys_id\":\"c31241cedb7650106c731dcd13961917\",\"include_flexible_services\":true,\"include_standard_services\":true,\"include_reservable_purposes\":true,\"include_layouts\":false}" \
--user 'username:'password'
応答本文。この例では、要求本文にリストされているすべての予約可能に関する詳細を返します。
{
"result": [
{
"sys_id": "3ed3139977220110b3d7be377b5a99d1",
"external_id": "447b9dfb475a011064062782846d4382",
"wsd_email": null,
"name": "A263",
"title": "A263",
"description": null,
"image": null,
"number": "ROOM0000181",
"site": {
"sys_id": "b35f47ffdba05010f342a0da4b961998",
"display_value": "Italy"
},
"campus": {
"sys_id": "87831b1977220110b3d7be377b5a9946",
"display_value": ""
},
"building": {
"sys_id": "dea39b1977220110b3d7be377b5a9955",
"display_value": "",
"timezone": {
"value": "",
"displayValue": ""
}
},
"floor": {
"sys_id": "68d31f5977220110b3d7be377b5a991b",
"display_value": ""
},
"area": null,
"capacity": "17",
"reservable_quantity": "1",
"location_type": {
"sys_id": "20713b83eb512010b89bfdfc9c522899",
"display_value": "Room"
},
"order": null,
"requires_check_in": null,
"is_reservable": "1",
"type": "location",
"moduleType": "Meeting rooms",
"meetingProviders": [],
"require_subject": true,
"allow_invitees": false,
"display_number_of_attendees": false,
"display_on_behalf_of": true,
"display_sensitivity": true,
"enable_group_reservations": false,
"allow_reservation_message": false,
"warn_employee_for_duplicate_reservation": false,
"enable_reservation_privacy": false,
"employee_override_privacy": false,
"tableName": "sn_wsd_core_room",
"require_approval": false,
"flexible_services": [
{
"allow_only_single_service_item_selection": true,
"category": "50723fbf07100110c9b36b6e0ad300b4",
"label": "Space arrangement",
"description": "This is a service to request a different space configuration as part of a reservation.",
"sub_category": "chair_layout",
"title": {
"edit": "Update Space arrangement for A263",
"add": "Add Space arrangement for A263"
},
"sub_title": "Add a space arrangement item to get started",
"text": "Select space arrangement item",
"additional_text": "Select another space arrangement item",
"currency_code": "GBP",
"flexible_service": [
{
"sub_category": "chair_layout",
"label": "Chair layout",
"flexible_service": [
{
"sys_id": "e2ecf7b307500110c9b36b6e0ad30033",
"name": "Classroom Style",
"short_description": "Rows of tables arranged with all participants facing towards the front of the room",
"category": "50723fbf07100110c9b36b6e0ad300b4",
"category_label": "Space arrangement",
"sub_category": "chair_layout",
"sub_category_label": "Chair layout",
"image": "08d6ff68d5122110fa9b1500c1d696c5.iix",
"quantity_enabled": false,
"quantity_required": false,
"capacity_enabled": true,
"max_capacity": "",
"preparation_duration": "1970-01-01 00:15:00",
"cleanup_duration": "1970-01-01 00:15:00",
"price_per_unit": {
"value": 0,
"code": "GBP"
},
"title": {
"edit": "Update Space arrangement for A263",
"add": "Add Space arrangement for A263"
},
"sub_title": "Add a space arrangement item to get started",
"text": "Select space arrangement item",
"additional_text": "Select another space arrangement item"
},
{
"sys_id": "1cf33fff07100110c9b36b6e0ad30077",
"name": "Banquet Rounds",
"short_description": "Round tables arranged throughout the room. Participants are seated around the entire perimeter of each table",
"category": "50723fbf07100110c9b36b6e0ad300b4",
"category_label": "Space arrangement",
"sub_category": "chair_layout",
"sub_category_label": "Chair layout",
"image": "cdc67720d5522110fa9b1500c1d69636.iix",
"quantity_enabled": false,
"quantity_required": false,
"capacity_enabled": true,
"max_capacity": "",
"preparation_duration": "1970-01-01 00:15:00",
"cleanup_duration": "1970-01-01 00:15:00",
"price_per_unit": {
"value": 0,
"code": "GBP"
},
"title": {
"edit": "Update Space arrangement for A263",
"add": "Add Space arrangement for A263"
},
"sub_title": "Add a space arrangement item to get started",
"text": "Select space arrangement item",
"additional_text": "Select another space arrangement item"
},
{
"sys_id": "21e2c08407600110c9b36b6e0ad3007c",
"name": "Theater Style",
"short_description": "Rows of chairs (no tables) arranged with all participants facing towards the front of the room",
"category": "50723fbf07100110c9b36b6e0ad300b4",
"category_label": "Space arrangement",
"sub_category": "chair_layout",
"sub_category_label": "Chair layout",
"image": "f3d67fa4d5122110fa9b1500c1d6968b.iix",
"quantity_enabled": false,
"quantity_required": false,
"capacity_enabled": true,
"max_capacity": "",
"preparation_duration": "1970-01-01 00:15:00",
"cleanup_duration": "1970-01-01 00:15:00",
"price_per_unit": {
"value": 0,
"code": "GBP"
},
"title": {
"edit": "Update Space arrangement for A263",
"add": "Add Space arrangement for A263"
},
"sub_title": "Add a space arrangement item to get started",
"text": "Select space arrangement item",
"additional_text": "Select another space arrangement item"
}
]
}
]
},
{
"allow_only_single_service_item_selection": false,
"category": "c9ab1c89c3500110547e3810a840dd41",
"label": "Catering",
"description": "This is a service to request catering as part of a reservation.",
"sub_category": "drinks",
"title": {
"edit": "Update Catering for A263",
"add": "Add Catering for A263"
},
"sub_title": "Add a catering item to get started",
"text": "Select catering item",
"additional_text": "Select another catering item",
"currency_code": "GBP",
"flexible_service": [
{
"sub_category": "drinks",
"label": "Drinks",
"flexible_service": [
{
"sys_id": "48d72985c3900110547e3810a840dd7d",
"name": "Champagne",
"short_description": "",
"category": "c9ab1c89c3500110547e3810a840dd41",
"category_label": "Catering",
"sub_category": "drinks",
"sub_category_label": "Drinks",
"image": "",
"quantity_enabled": true,
"quantity_required": false,
"capacity_enabled": false,
"max_capacity": "",
"preparation_duration": 0,
"cleanup_duration": 0,
"price_per_unit": {
"value": 0,
"code": "GBP"
},
"title": {
"edit": "Update Catering for A263",
"add": "Add Catering for A263"
},
"sub_title": "Add a catering item to get started",
"text": "Select catering item",
"additional_text": "Select another catering item"
}
]
}
]
}
],
"standard_services": [],
"reservable_purposes": []
}
]
}